Subject: Re: [PATCH] t6006-*.sh: Fix truncation tests

From: Ramsay Jones <[email-masked]>
Date: Tue, 20 May 2014 17:43:31 +0100

On 20/05/14 17:02, Alexey Shumkin wrote:
> On Tue, May 20, 2014 at 04:01:22PM +0100, Ramsay Jones wrote:
>> On 20/05/14 15:19, Alexey Shumkin wrote:
>>> On Tue, May 20, 2014 at 02:54:20PM +0100, Ramsay Jones wrote:
>>>>
>>>> Signed-off-by: Ramsay Jones <[email-masked]>
>>>> ---
>>>>
>>>> Hi Alexey,
>>>>
>>>> If you need to re-roll your 'as/pretty-truncate' branch, could
>>>> you please squash the relevant parts of this patch into the
>>>> corresponding patches of your patch series. (ie this is a patch
>>>> against the head of the current pu branch ...).
>>>>
>>>> Without this patch I get:
>>>>
>>>>   $ ./t6006-rev-list-format.sh
>>>>   ok 1 - setup
>>>>   ok 2 - format percent
>>>>   ok 3 - format hash
>>>>   ok 4 - format tree
>>>>   ok 5 - format parents
>>>>   ok 6 - format author
>>>>   ok 7 - format committer
>>>>   ok 8 - format encoding
>>>>   ok 9 - format subject
>>>>   ./t6006-rev-list-format.sh: 152: ./t6006-rev-list-format.sh: Syntax error: "(" unexpected
>>>>   FATAL: Unexpected exit with code 2
>>>>   $ 
>>> Ooops, my fault.
>>>>
>>>> (if you have bash as /bin/sh you get different but related errors).
>>>> The additional quoting suppresses the 'command redirection' errors, etc...
>>> It's strange but I do have Bash as /bin/sh and unfortunately I have no
>>> this error
>>
>> Hmm, I see this:
>>
>>   $ bash t6006-rev-list-format.sh -i
> AFAIK, this is not "running Bash as /bin/sh" :)
> Maybe I'm wrong but Bash as /bin/sh is:
>   $ ls -l /bin/sh
>   lrwxrwxrwx 1 root root 4 May 12 18:35 /bin/sh -> bash

Ah yes, I keep forgetting that bash behaves differently when invoked as 'sh'.
(i.e. it enters 'posix mode' in this case).

Indeed, this is (roughly) equivalent to:

  $ bash --posix t6006-rev-list-format.sh
  ok 1 - setup
  ok 2 - format percent
  ok 3 - format hash
  ...
  ok 52 - oneline with empty message
  ok 53 - single-character name is parsed correctly
  # passed all 53 test(s)
  1..53
  $ 

... which works.

Thanks again.

ATB
Ramsay Jones